ServerEvents.recipes(event => {
  event.remove({output: 'minecraft:flint_and_steel'})
  event.remove({id: 'minecraft:piston'})
})

ServerEvents.recipes(event => {
  //Flint & Steel
  event.shapeless(
    Item.of('9x minecraft:dried_kelp'), // arg 1: output
    [ 
      'minecraft:dried_kelp_block'
    ]
  ).id('minecraft:dried_kelp')
      
  //Clay Block -> Ball
  event.shapeless(
    Item.of('4x minecraft:clay_ball'), // arg 1: output
    [ 
      'minecraft:clay'
    ]
  ).id('minecraft:clay_ball')
      
  //Uranium Block
  event.shapeless(
    Item.of('9x #forge:ingots/uranium'), // arg 1: output
    [ 
      '#forge:storage_blocks/uranium'
    ]
  ).id('impostor:uranium_block')
        
  //Lapis Brick -> Lapis
  event.shapeless(
    Item.of('4x minecraft:lapis_lazuli'), // arg 1: output
    [ 
      'supplementaries:lapis_bricks'
    ]
  ).id('minecraft:lapis_lazuli_from_brick')

  //Kelp Block
  event.shapeless(
    Item.of('minecraft:flint_and_steel'), // arg 1: output
    [ 
      'create:andesite_alloy',
      'hexerei:wax_blend',
      'minecraft:flint'
    ]
  ).id('minecraft:flint_and_steel')

  // Furnace
  event.shaped('minecraft:furnace',
    ['121','232','121'], {
    1: '#forge:cobblestone', 
    2: 'allthecompressed:cobblestone_1x',
    3: 'minecraft:coal_block'
  }).id('minecraft:furnace')

  //Deepslate Furnace
  event.shaped('quark:deepslate_furnace',
    ['121','232','121'], {
    1: 'minecraft:cobbled_deepslate', 
    2: 'allthecompressed:cobblestone_1x',
    3: 'minecraft:coal_block'
  }).id('quark:deepslate_furnace')

  //Blackstone Furnace
  event.shaped('nethersdelight:blackstone_furnace',
    ['121','232','121'], {
    1: 'minecraft:blackstone', 
    2: 'allthecompressed:cobblestone_1x',
    3: 'minecraft:coal_block'
  }).id('nethersdelight:blackstone_furnace')

  // Piston
  event.shaped('minecraft:piston',
    ['111','232','242'], {
      1: '#minecraft:planks', 
      2: '#forge:cobblestone/normal',
      3: 'create:shaft',
      4: 'minecraft:redstone'
  }).id('minecraft:piston')
      
  //Upper
  event.replaceInput(
    { id: 'uppers:upper' }, // Arg 1: the filter
    'minecraft:iron_ingot', // Arg 2: the item to replace
    '#forge:ingots/steel'   // Arg 3: the item to replace it with
  )

  //Eye of Ender
  event.custom({
  "type": "aether:enchanting",
  "category": "enchanting_misc",
  "cookingtime": 250,
  "experience": 0.15,
  "ingredient": {
    "tag": "forge:ender_pearls"
  },
    "result": "minecraft:ender_eye"
  })
})